## org.codehaus.groovy.grails.web.metaclass
Class AbstractDynamicControllerProperty

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty
          org.codehaus.groovy.grails.web.metaclass.AbstractDynamicControllerProperty

All Implemented Interfaces:
  DynamicProperty

Direct Known Subclasses:
  GetParamsDynamicProperty

    public abstract class AbstractDynamicControllerProperty

extends AbstractDynamicProperty

An abstract class for dynamic controller properties to implement

Since:
  Oct 24, 2005
Author:
  Graeme Rocher

Field Summary
`protected HttpServletRequest` `request`
`protected HttpServletResponse` `response`

Constructor Summary
`AbstractDynamicControllerProperty(String propertyName, HttpServletRequest request, HttpServletResponse response)`

Method Summary
`abstract Object` `get(Object object)` Call the getter on the given object

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicProperty
`getPropertyName, isPropertyMatch, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    protected HttpServletRequest request

### response

    protected HttpServletResponse response

Constructor Detail

### AbstractDynamicControllerProperty

    public AbstractDynamicControllerProperty(String propertyName,
                                             HttpServletRequest request,
                                             HttpServletResponse response)

Method Detail

### get

    public abstract Object get(Object object)

  Description copied from interface: `DynamicProperty`
  Call the getter on the given object

  Specified by:
    `get` in interface `DynamicProperty`
  Specified by:
    `get` in class `AbstractDynamicProperty`
  Parameters:
    `object` - The target object
  Returns:
    The result of the getter

Copyright (c) 2005-2009 The Grails project